import request from '@/utils/request'

// 门店商品属性值辅助表列表
export function apiStoreBranchProductAttrValueLists(params: any) {
    return request.get({
        url: '/store_branch_product_attr_value/storebranchproductattrvalue/lists',
        params
    })
}

// 添加门店商品属性值辅助表
export function apiStoreBranchProductAttrValueAdd(params: any) {
    return request.post({
        url: '/store_branch_product_attr_value/storebranchproductattrvalue/add',
        params
    })
}

// 编辑门店商品属性值辅助表
export function apiStoreBranchProductAttrValueEdit(params: any) {
    return request.post({
        url: '/store_branch_product_attr_value/storebranchproductattrvalue/edit',
        params
    })
}
//更新状态
export function apiStoreBranchProductAttrValueStatus(params: any) {
    return request.post({
        url: '/store_branch_product_attr_value/storebranchproductattrvalue/status',
        params
    })
}

// 删除门店商品属性值辅助表
export function apiStoreBranchProductAttrValueDelete(params: any) {
    return request.post({
        url: '/store_branch_product_attr_value/storebranchproductattrvalue/delete',
        params
    })
}

// 门店商品属性值辅助表详情
export function apiStoreBranchProductAttrValueDetail(params: any) {
    return request.get({
        url: '/store_branch_product_attr_value/storebranchproductattrvalue/detail',
        params
    })
}
